export type CreateContactParams = {}

export function createContact(contact: CreateContactParams): Promise<Contact> {
  throw new Error('Not implemented')
}

export function getContacts(contactName: string = ''): Promise<Contact[]> {
  throw new Error('Not implemented')
}

export function getFavoriteContacts(): Promise<Contact[]> {
  throw new Error('Not implemented')
}

export function getContact(id: string): Promise<Contact> {
  throw new Error('Not implemented')
}

export type UpdateContactParams = {}

export function updateContact(contact: UpdateContactParams): Promise<Contact> {
  throw new Error('Not implemented')
}

export async function deleteContact(id: string): Promise<void> {
  throw new Error('Not implemented')
}

export async function toggleFavorite(id: string): Promise<Contact> {
  throw new Error('Not implemented')
}
